
From: Victor Fusco <victor@cetuc.puc-rio.br>

Fix the sparse warning "implicit cast to nocast type"

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/base/dmapool.c  |    3 ++-
 include/linux/dmapool.h |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/base/dmapool.c~dmapool-fix-nocast-type-warnings drivers/base/dmapool.c
--- devel/drivers/base/dmapool.c~dmapool-fix-nocast-type-warnings	2005-07-14 16:06:10.000000000 -0700
+++ devel-akpm/drivers/base/dmapool.c	2005-07-14 16:06:10.000000000 -0700
@@ -262,7 +262,8 @@ dma_pool_destroy (struct dma_pool *pool)
  * If such a memory block can't be allocated, null is returned.
  */
 void *
-dma_pool_alloc (struct dma_pool *pool, int mem_flags, dma_addr_t *handle)
+dma_pool_alloc (struct dma_pool *pool, unsigned int __nocast mem_flags,
+		dma_addr_t *handle)
 {
 	unsigned long		flags;
 	struct dma_page		*page;
diff -puN include/linux/dmapool.h~dmapool-fix-nocast-type-warnings include/linux/dmapool.h
--- devel/include/linux/dmapool.h~dmapool-fix-nocast-type-warnings	2005-07-14 16:06:10.000000000 -0700
+++ devel-akpm/include/linux/dmapool.h	2005-07-14 16:06:10.000000000 -0700
@@ -19,7 +19,8 @@ struct dma_pool *dma_pool_create(const c
 
 void dma_pool_destroy(struct dma_pool *pool);
 
-void *dma_pool_alloc(struct dma_pool *pool, int mem_flags, dma_addr_t *handle);
+void *dma_pool_alloc(struct dma_pool *pool, unsigned int __nocast mem_flags,
+		     dma_addr_t *handle);
 
 void dma_pool_free(struct dma_pool *pool, void *vaddr, dma_addr_t addr);
 
_
